SystemOrganization addCategory: #'MDProfiler-Test'!

TestCase subclass: #ScriptTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MDProfiler-Test'!

!ScriptTest methodsFor: 'as yet unclassified' stamp: ''!
testInput
	| t1 |
	t1 := MBuilder new.
	t1
		define: #input
		named: #a
		with: #(1 2 ).
	self assert: t1 inputs size = 1! !

!ScriptTest methodsFor: 'as yet unclassified' stamp: ''!
testInputScript
	| t1 t2 t3 |
	t1 := MBuilder new.
	t1
		define: #input
		named: #a
		with: #(1 2 ).
	t1
		define: #input
		named: #b
		with: #(3 4 ).
	t2 := #(#(1 3 ) #(1 4 ) #(2 3 ) #(2 4 ) ).
	t3 := 1.
	t1
		execute: [:t5 :t6 | 
			| t7 |
			t7 := t2 at: t3.
			self assert: t7 first = t5.
			self assert: t7 second = t6.
			t3 := t3 + 1]
		inPackagesMatching: 'Collections-Sequenceable'! !

!ScriptTest methodsFor: 'as yet unclassified' stamp: ''!
testInputScript2
	| t1 t2 t3 |
	t1 := MBuilder new.
	t2 := 1 to: 100.
	t1
		define: #input
		named: #a
		with: t2.
	t3 := 1.
	t1
		execute: [:t5 | 
			| t6 |
			t6 := t2 at: t3.
			self assert: t6 = t5.
			t3 := t3 + 1]
		inPackagesMatching: 'Collections-Sequenceable'! !

!ScriptTest methodsFor: 'as yet unclassified' stamp: ''!
testInputScript3
	| t1 t2 t3 |
	t1 := MBuilder new.
	t1
		define: #input
		named: #a
		with: #(1 2 3 ).
	t1
		define: #input
		named: #c
		with: #(4 ).
	t2 := #(#(1 4 ) #(2 4 ) #(3 4 ) ).
	t3 := 1.
	t1
		execute: [:t5 :t6 | 
			| t7 |
			t7 := t2 at: t3.
			self assert: t7 first = t5.
			self assert: t7 second = t6.
			t3 := t3 + 1]
		inPackagesMatching: 'Collections-Sequenceable'! !

!ScriptTest methodsFor: 'as yet unclassified' stamp: ''!
testResultSet
	| t1 t2 t3 |
	t1 := MBuilder new.
	t1
		define: #input
		named: #a
		with: #(1 2 3 ).
	t1
		define: #input
		named: #c
		with: #(4 ).
	t2 := t1
				execute: [:t4 :t5 | t4 + t5]
				inPackagesMatching: 'Collections-Sequenceable'.
	self assert: (t2 of: #(2 4 )) notNil.
	self assert: (t2 of: #(3 4 )) notNil.
	self assert: (t2 of: #(2 2 )) isNil! !
